Index: src/Tesselation/BoundaryLineSet.cpp
===================================================================
--- src/Tesselation/BoundaryLineSet.cpp	(revision 53c7fc2e5e8198eaf2ef2d962e2e7c72910e48ae)
+++ src/Tesselation/BoundaryLineSet.cpp	(revision df9cbdd687c3bb66560705c8a9ed2c0930d1c1be)
@@ -26,5 +26,5 @@
 #include "BoundaryPointSet.hpp"
 #include "BoundaryTriangleSet.hpp"
-#include "TesselPoint.hpp"
+#include "Atom/TesselPoint.hpp"
 
 #include "CodePatterns/Assert.hpp"
Index: src/Tesselation/BoundaryPointSet.cpp
===================================================================
--- src/Tesselation/BoundaryPointSet.cpp	(revision 53c7fc2e5e8198eaf2ef2d962e2e7c72910e48ae)
+++ src/Tesselation/BoundaryPointSet.cpp	(revision df9cbdd687c3bb66560705c8a9ed2c0930d1c1be)
@@ -26,5 +26,5 @@
 #include "BoundaryLineSet.hpp"
 #include "BoundaryTriangleSet.hpp"
-#include "TesselPoint.hpp"
+#include "Atom/TesselPoint.hpp"
 
 #include "CodePatterns/Assert.hpp"
Index: src/Tesselation/BoundaryPolygonSet.cpp
===================================================================
--- src/Tesselation/BoundaryPolygonSet.cpp	(revision 53c7fc2e5e8198eaf2ef2d962e2e7c72910e48ae)
+++ src/Tesselation/BoundaryPolygonSet.cpp	(revision df9cbdd687c3bb66560705c8a9ed2c0930d1c1be)
@@ -27,5 +27,5 @@
 #include "BoundaryPointSet.hpp"
 #include "BoundaryTriangleSet.hpp"
-#include "TesselPoint.hpp"
+#include "Atom/TesselPoint.hpp"
 
 #include "CodePatterns/Assert.hpp"
Index: src/Tesselation/BoundaryTriangleSet.cpp
===================================================================
--- src/Tesselation/BoundaryTriangleSet.cpp	(revision 53c7fc2e5e8198eaf2ef2d962e2e7c72910e48ae)
+++ src/Tesselation/BoundaryTriangleSet.cpp	(revision df9cbdd687c3bb66560705c8a9ed2c0930d1c1be)
@@ -26,5 +26,5 @@
 #include "BoundaryLineSet.hpp"
 #include "BoundaryPointSet.hpp"
-#include "TesselPoint.hpp"
+#include "Atom/TesselPoint.hpp"
 
 #include "Helpers/defs.hpp"
Index: src/Tesselation/CandidateForTesselation.cpp
===================================================================
--- src/Tesselation/CandidateForTesselation.cpp	(revision 53c7fc2e5e8198eaf2ef2d962e2e7c72910e48ae)
+++ src/Tesselation/CandidateForTesselation.cpp	(revision df9cbdd687c3bb66560705c8a9ed2c0930d1c1be)
@@ -27,5 +27,5 @@
 #include "BoundaryLineSet.hpp"
 #include "BoundaryPointSet.hpp"
-#include "TesselPoint.hpp"
+#include "Atom/TesselPoint.hpp"
 
 #include "CodePatterns/Assert.hpp"
Index: src/Tesselation/TesselPoint.cpp
===================================================================
--- src/Tesselation/TesselPoint.cpp	(revision 53c7fc2e5e8198eaf2ef2d962e2e7c72910e48ae)
+++ 	(revision )
@@ -1,63 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2011 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * TesselPoint.cpp
- *
- *  Created on: Jul 30, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "CodePatterns/Log.hpp"
-
-#include "TesselPoint.hpp"
-
-#include <iostream>
-
-
-/** Constructor of class TesselPoint.
- */
-TesselPoint::TesselPoint()
-{};
-
-/** Destructor for class TesselPoint.
- */
-TesselPoint::~TesselPoint()
-{};
-
-void TesselPoint::UpdateSteps()
-{
-  ASSERT(0, "TesselPoint::UpdateSteps() should never be called, TesselPoints don't have trajectories.");
-  AtomInfo::AppendTrajectoryStep();
-};
-
-TesselPoint * TesselPoint::getTesselPoint()
-{
-  return this;
-}
-
-std::ostream & TesselPoint::operator << (std::ostream &ost) const
-{
-  ParticleInfo::operator<<(ost);
-  ost << "," << getPosition();
-  return ost;
-}
-
-std::ostream & operator << (std::ostream &ost, const TesselPoint &a)
-{
-  a.ParticleInfo::operator<<(ost);
-  ost << "," << a.getPosition();
-  return ost;
-}
-
Index: src/Tesselation/TesselPoint.hpp
===================================================================
--- src/Tesselation/TesselPoint.hpp	(revision 53c7fc2e5e8198eaf2ef2d962e2e7c72910e48ae)
+++ 	(revision )
@@ -1,55 +1,0 @@
-/*
- * TesselPoint.hpp
- *
- *  Created on: Jul 30, 2010
- *      Author: heber
- */
-
-#ifndef TESSELPOINT_HPP_
-#define TESSELPOINT_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include "atom_atominfo.hpp"
-#include "atom_particleinfo.hpp"
-
-class TesselPoint;
-
-class TesselPoint : public virtual ParticleInfo, public virtual AtomInfo
-{
-public:
-  TesselPoint();
-  ~TesselPoint();
-
-  /** Pushes back another step in all trajectory vectors.
-   *
-   * This allows to extend all trajectories contained in different classes
-   * consistently. This is implemented by the topmost class which calls the
-   * real functions, \sa AppendTrajectoryStep(), by all necessary subclasses.
-   *
-   * Note that this function is actually not sensible with TesselPoints
-   * as they should not have trajectories but is implemented as they can be
-   * used stand-alone.
-   *
-   */
-  virtual void UpdateSteps();
-
-  /** Getter for this.
-   *
-   *  \note this is only present due to BoundaryPointSet, where TesselPoint is
-   *   only embedded and PointCloud where we have to access this TesselPoint.
-   *
-   * @return reference to embedded TesselPoint \a node
-   */
-  TesselPoint *getTesselPoint();
-
-  std::ostream & operator << (std::ostream &ost) const;
-};
-
-std::ostream & operator << (std::ostream &ost, const TesselPoint &t);
-
-#endif /* TESSELPOINT_HPP_ */
Index: src/Tesselation/boundary.cpp
===================================================================
--- src/Tesselation/boundary.cpp	(revision 53c7fc2e5e8198eaf2ef2d962e2e7c72910e48ae)
+++ src/Tesselation/boundary.cpp	(revision df9cbdd687c3bb66560705c8a9ed2c0930d1c1be)
@@ -18,5 +18,5 @@
 #include "CodePatterns/MemDebug.hpp"
 
-#include "atom.hpp"
+#include "Atom/atom.hpp"
 #include "Bond/bond.hpp"
 #include "boundary.hpp"
Index: src/Tesselation/tesselation.cpp
===================================================================
--- src/Tesselation/tesselation.cpp	(revision 53c7fc2e5e8198eaf2ef2d962e2e7c72910e48ae)
+++ src/Tesselation/tesselation.cpp	(revision df9cbdd687c3bb66560705c8a9ed2c0930d1c1be)
@@ -46,5 +46,5 @@
 #include "LinkedCell/PointCloudAdaptor.hpp"
 #include "tesselationhelpers.hpp"
-#include "TesselPoint.hpp"
+#include "Atom/TesselPoint.hpp"
 #include "triangleintersectionlist.hpp"
 
Index: src/Tesselation/tesselation.hpp
===================================================================
--- src/Tesselation/tesselation.hpp	(revision 53c7fc2e5e8198eaf2ef2d962e2e7c72910e48ae)
+++ src/Tesselation/tesselation.hpp	(revision df9cbdd687c3bb66560705c8a9ed2c0930d1c1be)
@@ -26,9 +26,9 @@
 #include <stack>
 
-#include "atom_particleinfo.hpp"
+#include "Atom/atom_particleinfo.hpp"
 #include "BoundaryMaps.hpp"
 #include "BoundaryPointSet.hpp"
 #include "LinearAlgebra/Vector.hpp"
-#include "TesselPoint.hpp"
+#include "Atom/TesselPoint.hpp"
 
 
Index: src/Tesselation/unittests/TesselationUnitTest.cpp
===================================================================
--- src/Tesselation/unittests/TesselationUnitTest.cpp	(revision 53c7fc2e5e8198eaf2ef2d962e2e7c72910e48ae)
+++ src/Tesselation/unittests/TesselationUnitTest.cpp	(revision df9cbdd687c3bb66560705c8a9ed2c0930d1c1be)
@@ -32,5 +32,5 @@
 #include "Tesselation/BoundaryTriangleSet.hpp"
 #include "Tesselation/CandidateForTesselation.hpp"
-#include "Tesselation/TesselPoint.hpp"
+#include "Atom/TesselPoint.hpp"
 
 #include "TesselationUnitTest.hpp"
Index: src/Tesselation/unittests/Tesselation_BoundaryTriangleUnitTest.cpp
===================================================================
--- src/Tesselation/unittests/Tesselation_BoundaryTriangleUnitTest.cpp	(revision 53c7fc2e5e8198eaf2ef2d962e2e7c72910e48ae)
+++ src/Tesselation/unittests/Tesselation_BoundaryTriangleUnitTest.cpp	(revision df9cbdd687c3bb66560705c8a9ed2c0930d1c1be)
@@ -29,5 +29,5 @@
 #include "CodePatterns/Log.hpp"
 #include "Helpers/defs.hpp"
-#include "Tesselation/TesselPoint.hpp"
+#include "Atom/TesselPoint.hpp"
 #include "Tesselation/BoundaryPointSet.hpp"
 #include "Tesselation/BoundaryLineSet.hpp"
Index: src/Tesselation/unittests/Tesselation_InsideOutsideUnitTest.cpp
===================================================================
--- src/Tesselation/unittests/Tesselation_InsideOutsideUnitTest.cpp	(revision 53c7fc2e5e8198eaf2ef2d962e2e7c72910e48ae)
+++ src/Tesselation/unittests/Tesselation_InsideOutsideUnitTest.cpp	(revision df9cbdd687c3bb66560705c8a9ed2c0930d1c1be)
@@ -27,6 +27,6 @@
 #include <iostream>
 
+#include "Atom/TesselPoint.hpp"
 #include "CodePatterns/Log.hpp"
-#include "CodePatterns/Verbose.hpp"
 #include "Helpers/defs.hpp"
 #include "LinkedCell/PointCloudAdaptor.hpp"
@@ -34,5 +34,5 @@
 #include "Tesselation/BoundaryTriangleSet.hpp"
 #include "Tesselation/CandidateForTesselation.hpp"
-#include "Tesselation/TesselPoint.hpp"
+#include "Tesselation/tesselation.hpp"
 
 #include "Tesselation_InsideOutsideUnitTest.hpp"
